<!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  ~ /*                                                                                            ~
  ~  - #%L                                                                                        ~
  ~  - CHVote-Receiver                                                                            ~
  ~  - %%                                                                                         ~
  ~  - Copyright (C) 2016 - 2018 République et Canton de Genève                                   ~
  ~  - %%                                                                                         ~
  ~  - This program is free software: you can redistribute it and/or modify                       ~
  ~  - it under the terms of the GNU Affero General Public License as published by                ~
  ~  - the Free Software Foundation, either version 3 of the License, or                          ~
  ~  - (at your option) any later version.                                                        ~
  ~  -                                                                                            ~
  ~  - This program is distributed in the hope that it will be useful,                            ~
  ~  - but WITHOUT ANY WARRANTY; without even the implied warranty of                             ~
  ~  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                               ~
  ~  - GNU General Public License for more details.                                               ~
  ~  -                                                                                            ~
  ~  - You should have received a copy of the GNU Affero General Public License                   ~
  ~  - along with this program. If not, see <http://www.gnu.org/licenses/>.                       ~
  ~  - #L%                                                                                        ~
  ~  */                                                                                           ~
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~-->

<!-- component displaying a votation ballot -->
<vote-workflow-view></vote-workflow-view>

<h2 id="stepTitle">
  {{ 'global.step.title-prefix' | translate:currentStepNumber }}
  {{ 'ballot-list.step-name' | translate }}
</h2>

<section role="document" [innerHTML]="'ballot-list.votation.ballot.description' | translate"></section>

<section role="main">
  <chvote-votation-ballot display="ballot" [votations]="ballots"></chvote-votation-ballot>
</section>

<nav *ngIf="singleBallot"
     id="nav-single-ballot">
  <button mat-raised-button class="abort" (click)="quit()">
    <i class="fas fa-times" data-fa-transform="up-1 left-6"></i>
    {{ 'global.actions.quit' | translate }}
  </button>

  <div class="button-with-hint">
    <button mat-raised-button class="primary"
            id="next-step-button"
            aria-describedby="next-step-hint"
            (click)="validate()">
      {{ 'global.actions.continue' | translate }}
      <i class="fas fa-arrow-right" data-fa-transform="up-1 right-6"></i>
    </button>
    <span id="next-step-hint" class="next-step-hint">
        {{ 'global.step.next-info' | translate:nextStepNumber }}{{ 'summary.step-name' | translate }}
    </span>
  </div>
</nav>

<nav *ngIf="!singleBallot"
     id="nav-multi-ballot">
  <div class="button-group">
    <button mat-raised-button class="abort" (click)="quit()">
      <i class="fas fa-times" data-fa-transform="up-1 left-6"></i>
      {{ 'global.actions.quit' | translate }}
    </button>
    <button mat-raised-button class="secondary"
            id="back-button"
            (click)="back()">
      <i class="fas fa-bars" data-fa-transform="up-1 left-6"></i>
      {{ 'global.actions.back' | translate }}
    </button>
  </div>

  <button mat-raised-button class="primary"
          id="next-step-button"
          (click)="validate()">
    {{ 'global.actions.validate-ballot' | translate }}
    <i class="fas fa-arrow-right" data-fa-transform="up-1 right-6"></i>
  </button>
</nav>
